import { Reducer } from "react";
import { InsuranceAction, InsuranceActions } from "@/state/actions/insurance";

export type InsuranceState = {
    required: boolean;
    signed: boolean;
    /// other data?
}

const initialInsuranceState: InsuranceState = {
    required: false,
    signed: false,
}

export const insuranceReducer: Reducer<InsuranceState, InsuranceAction> = (state = initialInsuranceState, action) => {
    const { type, ...payload } = action;

    switch (action.type) {
        case InsuranceActions.Signed:
            return { ...state, signed: true }
        case InsuranceActions.Update:
            return { ...state, ...payload }
        default:
            return state;
    }
}
